package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AreaFireDeathRate;
import com.lightinit.hsdatashow.entity.AreaFireDeathRateExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AreaFireDeathRateMapper {
    long countByExample(AreaFireDeathRateExample example);

    int deleteByExample(AreaFireDeathRateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AreaFireDeathRate record);

    int insertSelective(AreaFireDeathRate record);

    List<AreaFireDeathRate> selectByExample(AreaFireDeathRateExample example);

    AreaFireDeathRate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AreaFireDeathRate record, @Param("example") AreaFireDeathRateExample example);

    int updateByExample(@Param("record") AreaFireDeathRate record, @Param("example") AreaFireDeathRateExample example);

    int updateByPrimaryKeySelective(AreaFireDeathRate record);

    int updateByPrimaryKey(AreaFireDeathRate record);
}